/*
 * configureMe.h
 *
 *  Created on: 28/11/2014
 *      Author: Javier
 */

#ifndef CONFIGUREME_H_
#define CONFIGUREME_H_

#include "TFC_Library_Setup.h"

/********************** UART CONFIGURATIONS DEFINITIONS ********************************************/

#define WIFLY_UART	(UART0)
#define DEBUG_UART	(UART3)
#define MOTOR_UART	(UART1)

#define UART_BAUDRATE	(9600)
#define WIFLY_BAUDRATE	(115200)

/**************************************************************************************************/
/* ADC CHANNEL*/
#define ADC0	(0)

/*Distance Maximum to avoid collision*/
#define BUMP_DISTANCE	(18)

/********************** WIFI CONNECTION CONFIG ****************************************************/

#define WIFI_SSID	"testWifly"
#define WIFI_PWD	"t3stW1fly"
#define WIFI_AUTH	(WPA2)


/***************************************************************************************************/


/*************************** REMOTE SERVER SETUP****************************************************/

//#define REMOTE_PORT	(8086)
//#define REMOTE_IP "192.168.10.192"
#define REMOTE_PORT	(80)
#define REMOTE_IP "192.168.10.129"
#define REMOTE_HOSTNAME "0"
#define SERVER_ADDRESS ""
#define SERVER_SEND "GET$/status.php?"

/*************************** WIFLY SOCKET SETUP******************************************************/

#define WIFLY_PORT (WIFLY_LOCAL_PORT)



/****************************************************************************************************/



#endif /* CONFIGUREME_H_ */
